Bug 509519 - kernel BUG at drivers/gpu/drm/i915/i915_gem.c:2136!
kernel BUG at drivers/gpu/drm/i915/i915_gem.c:2136!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 509465 509974 510016 510169 510871 513044 516993 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-03 04:53 EDT by Amit Shah
Modified: 2010-06-28 09:27 EDT (History)
48 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:27:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log (35.44 KB, text/plain)
2009-07-03 04:53 EDT, Amit Shah
no flags Details
dmesg (45.18 KB, text/plain)
2009-07-03 04:54 EDT, Amit Shah
no flags Details

  None (edit)
Description Amit Shah 2009-07-03 04:53:38 EDT
Created attachment 350398 [details]
Xorg.0.log

Running F11. I switched to a VT, tried Xorg -configure but that didn't work as an X session was open, switched back to X and it crashed leaving the desktop unresponsive. I could ssh to the box and get the following info:

kernel BUG at drivers/gpu/drm/i915/i915_gem.c:2136!
invalid opcode: 0000 [#1] SMP
last sysfs file: /sys/devices/system/cpu/sched_mc_power_savings
CPU 0
Modules linked in: fuse bridge stp llc bnep sco l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table vfat fat dm_multipath kvm_intel kvm uinput ppdev snd_hda_codec_idt snd_hda_intel ata_generic snd_hda_codec firewire_ohci snd_hwdep pata_acpi snd_pcm firewire_core iTCO_wdt snd_timer crc_itu_t iTCO_vendor_support pcspkr serio_raw i2c_i801 snd parport_pc soundcore parport e1000e snd_page_alloc pata_marvell xts gf128mul aes_x86_64 aes_generic dm_crypt i915 drm i2c_algo_bit i2c_core video output [last unloaded: microcode]
Pid: 2405, comm: Xorg Not tainted 2.6.29.5-191.fc11.x86_64 #1
RIP: 0010:[<ffffffffa005f3d2>]  [<ffffffffa005f3d2>] i915_gem_object_get_fence_reg+0x221/0x61e [i915]
RSP: 0000:ffff8800bb839be8  EFLAGS: 00013202
RAX: 0000000000157eac RBX: ffff8800a34d7f00 RCX: 0000000000000010
RDX: 00000000000029a2 RSI: 0000000000157eac RDI: ffff88009b0f7600
RBP: ffff8800bb839c28 R08: 0000000000000003 R09: ffff8800bbe1b1e8
R10: 0000000000000200 R11: 0000000000000040 R12: ffff88009b0f7240
R13: ffff8800bbe1b000 R14: ffff8800709ee000 R15: ffff8800bbe1a000
FS:  00007fa5d6fb87b0(0000) GS:ffffffff817b7000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fa5d08b3000 CR3: 00000000bc1ad000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process Xorg (pid: 2405, threadinfo ffff8800bb838000, task ffff8800ad102e00)
Stack:
 ffff8800bb839c38 ffff8800bbe1b1e8 ffff8800bbe1a020 ffff8800709ee000
 ffff8800bbe1a020 ffff8800a34d7f00 ffff880070406b00 ffff8800bb839ce8
 ffff8800bb839c98 ffffffffa00610d3 ffff8800bb839c68 00007fa5d08b3000
Call Trace:
 [<ffffffffa00610d3>] i915_gem_fault+0xc1/0x136 [i915]
 [<ffffffff810b213f>] __do_fault+0x55/0x3d5
 [<ffffffff812429bb>] ? agp_flush_chipset+0x1b/0x1d
 [<ffffffffa005d523>] ? i915_gem_object_flush_cpu_write_domain+0x26/0x32 [i915]
 [<ffffffff810b4475>] handle_mm_fault+0x349/0x7c5
 [<ffffffff813ae615>] do_page_fault+0x5b5/0x9e9
 [<ffffffff813ac01a>] ? unlock_kernel+0x2f/0x32
 [<ffffffff810e0e27>] ? vfs_ioctl+0x76/0x87
 [<ffffffff810e12bb>] ? do_vfs_ioctl+0x462/0x4a3
 [<ffffffff813abab5>] ? trace_hardirqs_off_thunk+0x3a/0x6c
 [<ffffffff813ac175>] page_fault+0x25/0x30
Code: ff e8 35 e9 ff ff 85 c0 0f 84 b3 fe ff ff e9 06 04 00 00 41 83 7c 24 20 00 75 10 48 8b 55 c8 48 8b 02 f7 40 70 be ff ff ff 74 04 <0f> 0b eb fe 49 8b bf 38 01 00 00 48 8b 70 38 48 85 ff 74 1a 48
RIP  [<ffffffffa005f3d2>] i915_gem_object_get_fence_reg+0x221/0x61e [i915]
 RSP <ffff8800bb839be8>
---[ end trace 74859261771f0711 ]---

Will attach Xorg.0.log and dmesg.
Comment 1 Amit Shah 2009-07-03 04:54:30 EDT
Created attachment 350399 [details]
dmesg
Comment 2 Andrew McNabb 2009-07-03 13:16:34 EDT
I started getting this today, too.
Comment 3 Andrew McNabb 2009-07-03 13:23:45 EDT
I'm adding Dave Airlie since he seems to be involved with Intel-related kernel patches.
Comment 4 Andrew McNabb 2009-07-03 13:32:28 EDT
This is happening every time I log in (and MythTV starts) with kernel kernel-2.6.29.5-191.fc11.x86_64.  I tried running an older kernel on my system (2.6.29.4-167.fc11.x86_64), but the crash still happens every time.  It's very strange that the old kernel is crashing, because this problem only started happening today.
Comment 5 Andrew McNabb 2009-07-03 13:36:28 EDT
I also tried disabling kernel modesetting, and that didn't help either.
Comment 6 Andrew McNabb 2009-07-03 14:18:10 EDT
I also tried grabbing kernel version 2.6.29.6-211.fc11.x86_64 from koji, also to no effect.
Comment 7 Andrew McNabb 2009-07-03 17:07:04 EDT
Downgrading to mesa 7.5-0.16.fc11 seems to have solved the problem.  It looks like it's the latest mesa updates that broke it.
Comment 8 andy2.0 2009-07-03 20:23:59 EDT
I am seeing this problem too - consistent lockup when doing alt+tab when desktop effects are available. /var/log/messages shows the same problem as Amit. I have been unable to test whether downgrading mesa solves the problem.

http://www.kerneloops.org/submitresult.php?number=510001
Comment 9 Armands Liepins 2009-07-04 06:23:51 EDT
The same here, but 32-bit system.
http://www.kerneloops.org/submitresult.php?number=506040
Comment 10 James 2009-07-04 15:37:07 EDT
Seen here, too on Intel X3100, starting today. Usually happens when running Google Earth.

(In reply to comment #7)
> Downgrading to mesa 7.5-0.16.fc11 seems to have solved the problem.  It looks
> like it's the latest mesa updates that broke it.  

Thanks for the tip. Of course, a userspace library should not be able to cause the kernel to BUG...
Comment 11 Kyle Brantley 2009-07-05 02:51:59 EDT
I'm seeing the same thing, but only after a couple seconds of booting into KDE with desktop effects enabled.

http://www.kerneloops.org/submitresult.php?number=512487

Running 2.6.29.5-191.fc11.x86_64.
Comment 12 Markus Mayer 2009-07-05 12:45:04 EDT
Got the same problem for a couple of days (maybe since updating to mesa-7.6-0.1.fc11, but I am not sure of that).

http://www.kerneloops.org/submitresult.php?number=505883

Smolt-Profile:
http://smolt.fedoraproject.org/show?uuid=pub_0d962bed-b9d1-4674-989f-e2b6f07681e2+
Comment 13 Herr Irrtum 2009-07-06 04:46:11 EDT
Just a confirmation and a couple of things I've tried with mesa-7.6-0.1.

My setup so far:

Hardware: thinkpad sl500, 
-- ram: 4GB
-- CPU Intel Dualcore
-- VGA: VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07) (a Intel 4500 GMA in short) 

Software:
-- Fedora 11 AMD64 with KDE 4.24
-- Kernel: 2.6.29.5-191.fc11.x86_64
-- repos: Standards and RPM Fusion, no testing
-- GFX driver: i915 (just the automatically assigned one)
-- mesa-7.6-0.1

What I've tried: 
- Disabling KDE Compositing: It seems to take a bit longer to get the kernel freezing over --> but no success

- Disabling Tiled Textures (with driconf): This was suggested in another slightly different bug report --> no success

- Using a different kernel (older 2.6.29) --> no success

- "yum downgrade mesa-dri-drivers mesa-libGL mesa-libGLU glx-utils" --> results in mesa version 7.5-0.14 --> success!

BTW: Other bug reports mention that there is a huge memory leak coming from the intel 915 driver, causing the system to swap like heck. 
This did not occur on my system with mesa-7.6-0.1.

Regards,
Herr Irrtum
Comment 14 Christian 2009-07-06 15:51:04 EDT
Confirmed here on a Thinkpad x301. I'm triggering this whenever I try the Present Windows or Cover Switch effects in KWin, with the latest packages:

  kdebase-workspace-4.2.4-3.fc11.i586
  kernel-2.6.29.5-191.fc11.i586

Both effects used to work fine. Things work as long as I avoid/disable these effects.

http://www.kerneloops.org/submitresult.php?number=516961
Comment 15 Andrew McNabb 2009-07-06 16:36:35 EDT
Is there any reason not to revert to mesa 7.5-0.16.fc11?  It looks like there are a lot of people affected by this.  Unfortunately, the bug still doesn't seem to be assigned.
Comment 16 Kyle Brantley 2009-07-06 16:49:45 EDT
(In reply to comment #15)
> Is there any reason not to revert to mesa 7.5-0.16.fc11?  It looks like there
> are a lot of people affected by this.  Unfortunately, the bug still doesn't
> seem to be assigned.  

Perhaps we could get this assigned to the xorg-x11-drv-intel component, as opposed to the kernel?

That'd probably get the needed eyes on it.
Comment 17 Thomas Spura 2009-07-07 15:27:58 EDT
Same here, while playing vdrift...

http://www.kerneloops.org/submitresult.php?number=515474

When changing the properties in the game (if someone want to reproduce it).

The downgrade of mesa from Comment#13 solves it, too.
Comment 18 Andrew McNabb 2009-07-07 15:54:11 EDT
Since this issue seems to be affecting a lot of people but hasn't been assigned yet, I added a few email addresses to the cc list for people who have been involved with xorg-x11-drv-intel.  I apologize if I added any addresses that shouldn't have been added.
Comment 19 Mathew Topper 2009-07-08 17:02:39 EDT
I think this is the same bug:

https://bugzilla.redhat.com/show_bug.cgi?id=476743
Comment 20 Thomas Spura 2009-07-08 17:15:53 EDT
Hmm, the mouse isn't working here anymore. A sound is played in a loop, when the freeze appears. No keyboard, no mouse is working…

-> No mouse -> not the same bug?
Comment 21 Mathew Topper 2009-07-08 17:19:11 EDT
When I've had this bug my mouse has always failed.

In fact (weirdly) sometimes my keyboard in unresponsive after reboot.

Tried downgrade from comment #13, but it breaks KDE.
Comment 22 Andrew McNabb 2009-07-08 18:09:58 EDT
Mathew, I think that's a different bug.  Bug 509519 was introduced last week by mesa 7.6-0.1 and is fixed by reverting.  Bug 476743 has been around since December and seems to have different symptoms.
Comment 23 Mathew Topper 2009-07-09 04:10:59 EDT
Hi Andrew,

I was just thinking that (at least from comment 22) in Bug 476743 we all seem to be suffering the same oops on the same hardware. It was just that the bug resurrected itself about the same time that this one started. Sadly I can't test whether the downgrade fixes the KDE problem as once I revert the packages, KDE won't log in. 

Mat
Comment 24 Mathew Topper 2009-07-09 04:17:07 EDT
There is also Bug 508635 which might also be the same thing.
Comment 25 Luis A. Florit 2009-07-11 16:07:22 EDT
Hi, 

I've recently posted a similar bug:

    https://bugzilla.redhat.com/show_bug.cgi?id=510169

I have no knowledge to say if the two bugs are the same or not (can anybody tell me?), but I downgraded to mesa 7.5-0.14 and foobillard does not hang system anymore.

(In reply to comment #21)
> When I've had this bug my mouse has always failed.
> 
> In fact (weirdly) sometimes my keyboard in unresponsive after reboot.
> 
> Tried downgrade from comment #13, but it breaks KDE.  

The downgrade broke my KDE too. Looking at the logs, I found out that this was because /usr/lib/libGLU.so.1 linked to libGLU.so.1.3.070600 that didn't exist. Reinstalling mesa-libGLU from the DVD solved the issue, because it creates a libGLU.so.1.3.070300 which /usr/lib/libGLU.so.1 links to.

Thanks!
L.
Comment 26 Thomas Spura 2009-07-11 18:09:57 EDT
I can confirm workaround [1] helps a bit. It doesn't freeze anymore, but is too slow to have fun with^^

[1] https://bugzilla.redhat.com/show_bug.cgi?id=509805#c1
Comment 27 Thomas Spura 2009-07-11 18:13:55 EDT
Sorry, with [2] it's perfect again… Hope it works for anyone here.

[2] https://bugzilla.redhat.com/show_bug.cgi?id=509974#c21

$ cat .drirc 
<driconf>
    <device screen="0" driver="i965">
        <application name="Default">
            <option name="texture_tiling" value="false" />
        </application>
    </device>
</driconf>
Comment 28 Andy Burns 2009-07-11 20:07:04 EDT
*** Bug 510871 has been marked as a duplicate of this bug. ***
Comment 29 Herr Irrtum 2009-07-12 18:30:02 EDT
Thomas Spura came (again) with the idea to switch off the texture-tiling option (using .drirc).

As I explained already back in comment #13 this does not help (on my setup).

Especially as the bug also appears while not using OPENGL as far as I know (which is a bit strange, because it's clearly the mesa libs causing the kernel fault): 
I had switched off composing effects in KDE and worked for 10 minutes with GiMP (GTK!) --> and the kernel crash appeared. Apparently no OpenGL apps were running. However I did this before switching off the tiled texture option (which should not matter anyway in this scenario).

Also I want to mention, that the crash comes with some kind of KDE warning sound. After this sound event mouse and keyboard are not responding anymore. However a remote login using ssh is possible: "Top" is not showing any strange - load is minimal. 

All this is not happening with downgraded mesa libs.

Regards,
Herr Irrtum
Comment 30 jonipiispa 2009-07-14 10:31:00 EDT
Just updated fedora and this started hapening with mednafen ( http://mednafen.sourceforge.net/ ), for me the .drirc fix didnt work but downgrading libgl does.
Comment 31 Jonathan Evans 2009-07-20 00:46:56 EDT
Same problem here. Happening when I load Google Earth on FC11 x86_64. dmesg looks similar... issue with i915. "No EDID data."

System hangs completely. Totally unresponsive. Feel free to ask for any information, if necessary. I will monitor this bug for a resolution before attempting to run GE again.
Comment 32 Bradley J. Willson 2009-07-20 16:33:03 EDT
Similar issues with Glest, Second Life, and other of that ilk.  The ultimate result is a complete freeze, caps lock unresponsive style.

http://www.kerneloops.org/submitresult.php?number=553072 was produced while running Snowglobe, another Second Life client.

Downgrading to mesa 7.5-0.14 seems to be a legitimate workaround.  Comment #13 does the trick for me, it does not seem to affect Gnome in any adverse way.
Comment 33 iarly selbir 2009-07-24 15:09:42 EDT
I'm having similar problem since two weeks ago, I can't move mouse pointer and type anything, I guess other services it ok, because I get the below traceback over ssh connection.

traceback:

------------[ cut here ]------------
kernel BUG at drivers/gpu/drm/i915/i915_gem.c:2241!
invalid opcode: 0000 [#1] SMP
last sysfs file: /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0/charge_full
Modules linked in: fuse rfcomm sco bridge stp llc bnep l2cap sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq dm_multipath uinput snd_hda_codec_si3054 snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm arc4 sdhci_pci sdhci snd_timer mmc_core ecb firewire_ohci snd soundcore iTCO_wdt iTCO_vendor_support btusb bluetooth snd_page_alloc i2c_i801 r8169 firewire_core crc_itu_t uvcvideo rtl8187 mac80211 eeprom_93cx6 cfg80211 joydev serio_raw mii wmi pcspkr videodev v4l1_compat ata_generic pata_acpi i915 drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]

Pid: 1934, comm: X Not tainted (2.6.29.6-213.fc11.i686.PAE #1) Positivo Mobile
EIP: 0060:[<f8261f2f>] EFLAGS: 00013202 CPU: 1
EIP is at i915_gem_object_get_fence_reg+0x229/0x605 [i915]
EAX: 0002320a EBX: e74496c0 ECX: f6b5d000 EDX: 00000010
ESI: e5048600 EDI: f6623000 EBP: f1d57d7c ESP: f1d57d48
DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process X (pid: 1934, ti=f1d56000 task=f409b280 task.ti=f1d56000)
Stack:
00000010 e74496c0 0002320a e5048600 f6623164 f6623164 00000000 e747c480
f6b5d000 00000003 e747c480 f1d57de8 e74496c0 f1d57dac f8263861 b43ee000
b43ee000 f6623000 01104363 e7429aa8 f6b5d000 f6b5d014 f1d53d08 00000001
Call Trace:
[<f8263861>] ? i915_gem_fault+0xa0/0x102 [i915]
[<c0491e42>] ? __do_fault+0x52/0x39b
[<c04924d1>] ? handle_mm_fault+0x346/0x81e
[<f8206545>] ? drm_gem_object_reference+0xd/0xf [drm]
[<c0718658>] ? do_page_fault+0x307/0x7ec
[<c04a83f4>] ? do_sync_read+0xb0/0xeb
[<c0716a31>] ? unlock_kernel+0x28/0x2b
[<c04b266a>] ? vfs_ioctl+0x64/0x76
[<c04b2f16>] ? do_vfs_ioctl+0x480/0x4ba
[<c04306cd>] ? finish_task_switch+0x34/0x9f
[<c04aed65>] ? path_put+0x1a/0x1d
[<c0718351>] ? do_page_fault+0x0/0x7ec
[<c0716adf>] ? error_code+0x77/0x7c
Code: ff 85 c0 0f 84 a8 fe ff ff e9 f1 03 00 00 89 75 d8 8b 5d d0 83 7e 10 00 75 11 8b 4d dc 8b 09 89 4d e0 f7 41 44 be ff ff ff 74 04 <0f> 0b eb fe 8b 7d ec 8b 75 e0 8b 87 ec 00 00 00 8b 56 20 85 c0
EIP: [<f8261f2f>] i915_gem_object_get_fence_reg+0x229/0x605 [i915] SS:ESP 0068:f1d57d48
---[ end trace bed0f520b62a9a4d ]---
Comment 34 Felix Möller 2009-07-25 04:58:33 EDT
Same problem happens on Thinkpad T400.
Comment 35 Alex Lancaster 2009-07-27 16:04:06 EDT
Looks to be an intel driver bug, reassigning to that component as per comment #16.
Comment 36 Amit Shah 2009-07-28 10:35:33 EDT
Well this really is a kernel bug. There also might be a bug in the userspace component but it exposes a bug in the kernel.

I hit this again today when starting bzflag on gnome with desktop effects switched on.
Comment 37 Alex Lancaster 2009-07-28 11:58:14 EDT
(In reply to comment #36)
> Well this really is a kernel bug. There also might be a bug in the userspace
> component but it exposes a bug in the kernel.

Feel free to switch it back to the kernel component.  I think the intel maintainer (Adam Jackson) is already Cc'ed on this bug anyway.
Comment 38 Marc Milgram 2009-07-31 11:18:00 EDT
I ran into this issue while starting Stellarium.
Comment 39 Bradley J. Willson 2009-07-31 11:26:36 EDT
Bug also affects kernel 2.6.29.6-213.fc11.x86_64.  Downgrading mesa is still a viable workaround.
Comment 40 Andrew McNabb 2009-07-31 11:46:25 EDT
This is a really serious issue.  There are already 32 people on the cc list, and we haven't had a single response from a package maintainer.  It sounds like the mesa package needs to be reverted until the underlying problem is fixed.  Does anyone have any ideas on how to get this addressed?
Comment 41 Luis A. Florit 2009-07-31 16:26:45 EDT
(In reply to comment #40)
> This is a really serious issue. There are already 32 people on the cc list,
> and we haven't had a single response from a package maintainer. It sounds like
> the mesa package needs to be reverted until the underlying problem is fixed. 
> Does anyone have any ideas on how to get this addressed?  

Sorry to disagree, but this is not really a mesa issue, but a Fedora issue. Fedora bugs are not being attended, not even answered, since a long time now. Fedora is becoming more and more buggy and crashy, almost to the point of uselessness.

As a faithful Red Hat user (since RH4 and then all Fedoras), looking back to the tradition of Red Hat as a major distro, this is really a pity. For me, there will be no FC12. Fedora is loosing users to other distros faster than any other distro. Fedora fate is to die... soon. It wasn't for me, but I must admit that this path was obvious to many people when RH went to Enterprise. 

A pity.

Cheers,
L.
Comment 42 Jonathan Evans 2009-07-31 18:15:20 EDT
A couple points:

1. Rolling back mesa fixes the problem, so it is (in all likelihood) a mesa issue.

2. I hope it's loosing users on the world. They can spread the word. I don't think it's losing users though.

3. Fedora was more unstable (for me anyways), back in the days of Fedora 9. RHEL is completely stable. I'm willing to weather the storm of a bug here and there in Fedora to use a fine, rapidly advancing distro that previews features later to be found in the enterprise product.

4. This really isn't the forum for whining, is it?
Comment 43 Kyle Brantley 2009-07-31 18:50:03 EDT
(In reply to comment #42)
> A couple points:
> 
> 1. Rolling back mesa fixes the problem, so it is (in all likelihood) a mesa
> issue.
> 

While we may be able to file a bug against mesa, nothing from userspace /should/ ever /be able/ to trigger a bug like this.

All of the oopses are in the i915_gem_fault function as well.

I'd (personally) still classify this as a driver bug.

> 4. This really isn't the forum for whining, is it?  

No. :)
Comment 44 Kim 2009-08-01 05:05:25 EDT
Same crash (but at line 2144) when starting XBMC media center. Rolling back mesa indeed fixes the problem.
Comment 45 Felix Möller 2009-08-02 12:05:23 EDT
i think bug #513044 can be marked as a dupe of this one.
Comment 46 Thomas Janssen 2009-08-02 12:34:22 EDT
*** Bug 510016 has been marked as a duplicate of this bug. ***
Comment 47 Thomas Janssen 2009-08-02 12:35:13 EDT
*** Bug 513044 has been marked as a duplicate of this bug. ***
Comment 48 Thomas Janssen 2009-08-02 12:37:00 EDT
*** Bug 509974 has been marked as a duplicate of this bug. ***
Comment 49 Thomas Janssen 2009-08-02 12:51:50 EDT
*** Bug 509465 has been marked as a duplicate of this bug. ***
Comment 50 Thomas Janssen 2009-08-02 12:52:55 EDT
*** Bug 510169 has been marked as a duplicate of this bug. ***
Comment 51 Piero Ottuzzi 2009-08-03 04:30:59 EDT
As per
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity
I think this is a crash and thus need to be marked as high priority, not medium.
Comment 52 Jürgen Botz 2009-08-03 06:05:45 EDT
I second Piero... this is a high priority crasher that makes F11 nearly unusable for a lot of people, namely everybody with certain hardware with Intel graphics.

Now as to wether this is a kernel or driver or mesa issue... it is really an Intel graphics issue, probably involving bugs in the xorg i915 driver as well as the kernel drm module.  Whatever recent change in mesa is triggering this may be a bug or may be innocently triggering a bug, but the real problem without a doubt is in Intel code.  Although it's hard to say whether THIS bug is in the drm or in the xorg driver, both are lamentably buggy.

Unfortunately the Intel graphics code has been and still is very unstable.  I've been reading the Intel driver list and it looks like things are getting better... the new 2.8 driver which just came out is supposedly significantly more stable (and faster) but it doesn't work at all on my hardware (Thinkpad T61).  However others should try it... it's in rawhide and should work with the F11 xorg server, but you're supposed to use it with a 2.6.31 kernel (also in rawhide).

FYI, currently to install from rawhide you'll first need to do "yum --enablerepo=updates-testing update rpm" because of a change in compression libs used by rpm.  Then you can do "yum --enablerepo=rawhide update kernel xorg-x11-drv-intel".  This should be safe enough and easily undoable with "yum downgrade xorg-x11-drv-intel".
Comment 53 Jürgen Botz 2009-08-03 06:10:37 EDT
To everybody on the CC list: it would be useful to know your exact hardware.  Please submit a one-liner with your laptop model or motherboard.

And if you've tried the 2.8 xorg Intel driver as per my previous comment, tell us if it a) works at all, b) fixes this bug.
Comment 54 Jürgen Botz 2009-08-03 06:34:38 EDT
(In reply to comment #41)
> Sorry to disagree, but this is not really a mesa issue, but a Fedora issue.

Hi Louis!  Sorry to disagree, but is is not really a mesa OR Fedora issue, it's an Intel graphics issue.  The Linux Intel graphics code is buggy and has been buggy all along, and you're not likely to have better luck with any other distro on the same hardware.  Since a lot of work /is/ being done on the Intel graphics and we can hope it will get better soon, your best bet on this platform will be to stick close to the bleeding edge.

As to Fedora, I also disagree... Fedora may not be the most stable distro, but I certainly don't think it has been getting MORE buggy, in the contrary.  The main problem with Fedora is that the fast release cycles with often fundamental changes each time allow for a significant amount of regressions relative to a given platform (meaning that because F10 worked well on your hardware doesn't guarantee that F11 will).
Comment 55 Jürgen Botz 2009-08-03 06:40:40 EDT
(In reply to comment #52)
> libs used by rpm.  Then you can do "yum --enablerepo=rawhide update kernel
> xorg-x11-drv-intel".  This should be safe enough and easily undoable with "yum
> downgrade xorg-x11-drv-intel".  

For anyone who wants to try this: in case it doesn't work at all you may have to boot into single-user mode (or a runlevel without X) to undo it, so make sure you know how to do that and that you can bring up your network interface in single user mode before you try this.
Comment 56 Felix Möller 2009-08-03 07:07:18 EDT
(In reply to comment #53)
> To everybody on the CC list: it would be useful to know your exact hardware. 
> Please submit a one-liner with your laptop model or motherboard.
I currently cannot test the hardware with the 2.8.0 driver, but here are my information:
dmidecode:
System Information
        Manufacturer: LENOVO
        Product Name: 6474A46
        Version: ThinkPad T400

lspci -nn:
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
00:02.1 Display controller [0380]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a43] (rev 07)
Comment 57 Thomas Spura 2009-08-03 08:06:29 EDT
(In reply to comment #53)
> To everybody on the CC list: it would be useful to know your exact hardware. 
> Please submit a one-liner with your laptop model or motherboard.
> 
> And if you've tried the 2.8 xorg Intel driver as per my previous comment, tell
> us if it a) works at all, b) fixes this bug.  

Samsung Q45

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 03)
00:02.1 Display controller [0380]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a03] (rev 03)


I won't try 2.8 driver to avoid risking a regression.

With ~/.drirc from comment #27, the bug seems to be gone.
Comment 58 Armands Liepins 2009-08-03 11:52:52 EDT
(In reply to comment #53)

Model on sticker:
ASUS X80L
dmidecode:
A8Le

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 03)
00:02.1 Display controller [0380]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a03] (rev 03)

It seems Intel driver also causes X server to enter infinite loop:
https://bugzilla.redhat.com/show_bug.cgi?id=506871

^@#&^$#  this happened writing this comment...
Comment 59 Andrew McNabb 2009-08-03 12:58:31 EDT
I'm having this with a G45 system and with a G43 system (Gigabyte GA-EG45M-DS2H and GA-EG43M-S2H respectively).
Comment 60 Thomas 2009-08-03 13:07:09 EDT
Dell Inspiron 1525:

00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 0c)
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c)
Comment 61 jonipiispa 2009-08-03 13:12:53 EDT
asus p5b-vm se:

00:02.0 VGA compatible controller: Intel Corporation 82G965 Integrated Graphics Controller (rev 02)
Comment 62 Kyle Brantley 2009-08-03 13:19:33 EDT
Dell Vostro 1500.

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
Comment 63 Jonathan Evans 2009-08-03 13:35:32 EDT
System Information
	Manufacturer: TOSHIBA
	Product Name: PORTEGE R600
	Version: PPR65U-001001S1

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
00:02.1 Display controller [0380]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a43] (rev 07)
Comment 64 Markus Mayer 2009-08-03 14:04:53 EDT
System Information
 Manufacturer: HP
 Product Name: 6530b

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

Comment #27 solves my problem.

cat /etc/drirc
<driconf>
    <device screen="0" driver="i965">
        <application name="all">
                <option name="texture_tiling" value="false" />
        </application>
    </device>
</driconf>
Comment 65 Christian 2009-08-03 14:38:40 EDT
(In reply to comment #53)
> To everybody on the CC list: it would be useful to know your exact hardware. 
> Please submit a one-liner with your laptop model or motherboard.

Lenovo Thinkpad X301. 

lspci:
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
00:02.1 Display controller [0380]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a43] (rev 07)
Comment 66 James 2009-08-03 15:04:26 EDT
Clevo M720R with Intel X3100 graphics 

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)

Tried the fc12 stuff, all I got was a screenful of garbage.
Comment 67 Kim 2009-08-03 16:19:19 EDT
Sony Vaio VGN-Z11VN

00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
Comment 68 iarly selbir 2009-08-03 19:25:11 EDT
Positivo - R34

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 69 Tomas Kopecek 2009-08-04 04:27:19 EDT
Lenovo T500

00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
Comment 70 Piero Ottuzzi 2009-08-04 04:51:23 EDT
System Information
        Manufacturer: Hewlett-Packard
        Product Name: HP Compaq dc7900 Convertible Minitower

00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)
Comment 71 Stefan Böhmann 2009-08-04 18:11:47 EDT
Acer Extensa 5630

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09)
Comment 72 Bradley J. Willson 2009-08-04 21:21:42 EDT
HP Pavilion dv2000

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c) (prog-if 00 [VGA controller])
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
Comment 73 Maximiliano Bertacchini 2009-08-05 13:48:56 EDT
Same here:

Dell XPS M1330

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
Comment 74 Mathew Topper 2009-08-06 04:17:03 EDT
System Information                 
        Manufacturer: Dell Inc.    
        Product Name: Vostro1310

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c)                                  
00:02.1 Display controller [0380]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a03] (rev 0c)
Comment 75 Erick 2009-08-06 10:09:25 EDT
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
Comment 76 Andy Burns 2009-08-06 16:37:05 EDT
ASUS P5E-VM-HDMI motherboard

00:02.0 VGA compatible controller: Intel Corporation 82G35 Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation 82G35 Express Integrated Graphics Controller (rev 03)
Comment 77 Erick 2009-08-06 22:21:53 EDT
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
Comment 78 Jonathan Dieter 2009-08-12 05:38:39 EDT
*** Bug 516993 has been marked as a duplicate of this bug. ***
Comment 79 Alan Hamilton 2009-08-13 01:36:05 EDT
System Information
        Manufacturer: LENOVO
        Product Name: 2081CTO
        Version: ThinkPad T500
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07) (prog-if 00 [VGA controller])

I'm seeing the same crash as in #33 with Google Earth.
kernel BUG at drivers/gpu/drm/i915/i915_gem.c:2241!
invalid opcode: 0000 [#1] SMP 
last sysfs file: /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:01/PNP0C09:00/PNP0C0A:00/power_supply/BAT0/energy_full
CPU 0 
Modules linked in: fuse rfcomm sco bridge stp llc bnep l2cap sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath uinput snd_hda_codec_conexant arc4 snd_hda_intel ecb snd_hda_codec sdhci_pci sdhci firewire_ohci thinkpad_acpi snd_hwdep firewire_core ath5k mmc_core snd_pcm hwmon btusb ricoh_mmc snd_timer yenta_socket wmi snd ata_generic rsrc_nonstatic mac80211 pata_acpi crc_itu_t e1000e i2c_i801 bluetooth pcspkr joydev soundcore snd_page_alloc cfg80211 iTCO_wdt iTCO_vendor_support i915 drm i2c_algo_bit i2c_core video output [last unloaded: microcode]
Pid: 2730, comm: googleearth-bin Not tainted 2.6.29.6-217.2.3.fc11.x86_64 #1 2081CTO
RIP: 0010:[<ffffffffa005f86e>]  [<ffffffffa005f86e>] i915_gem_object_get_fence_reg+0x221/0x61e [i915]
RSP: 0000:ffff88011a9ffbe8  EFLAGS: 00010202
RAX: 0000000000009bed RBX: ffff880106c2e0c0 RCX: 0000000000000010
RDX: 0000000000002a42 RSI: 0000000000009bed RDI: ffff88011112ac00
RBP: ffff88011a9ffc28 R08: 0000000000000003 R09: ffff88013914e220
R10: ffff88011a9fe000 R11: ffff88011a9ffd38 R12: ffff88011112aa80
R13: ffff88013914e000 R14: ffff880106c2e240 R15: ffff88013914d000
FS:  0000000000000000(0000) GS:ffffffff817b9000(0063) knlGS:00000000f7fae700
CS:  0010 DS: 002b ES: 002b CR0: 0000000080050033
CR2: 00000000dc69c000 CR3: 000000011a8bb000 CR4: 00000000000406e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process googleearth-bin (pid: 2730, threadinfo ffff88011a9fe000, task ffff88011cc5dc00)
Stack:
 ffff88011a9ffc38 ffff88013914e220 ffff88013914d020 ffff880106c2e240
 ffff88013914d020 ffff880106c2e0c0 ffff88011a8578f0 ffff88011a9ffce8
 ffff88011a9ffc98 ffffffffa00613e9 ffff88011a9ffc68 00000000dc69c000
Call Trace:
 [<ffffffffa00613e9>] i915_gem_fault+0xc1/0x136 [i915]
 [<ffffffff810b223b>] __do_fault+0x55/0x3d5
 [<ffffffff810b4571>] handle_mm_fault+0x349/0x7c5
 [<ffffffff813af045>] do_page_fault+0x5b5/0x9e9
 [<ffffffff8118462b>] ? file_has_perm+0x83/0x8e
 [<ffffffff813aca42>] ? unlock_kernel+0x2f/0x32
 [<ffffffffa006fef3>] ? i915_compat_ioctl+0x74/0x81 [i915]
 [<ffffffff8110a1f7>] ? compat_sys_ioctl+0x352/0x367
 [<ffffffff813ac4dd>] ? trace_hardirqs_off_thunk+0x3a/0x6c
 [<ffffffff813acba5>] page_fault+0x25/0x30
Code: ff e8 d0 e5 ff ff 85 c0 0f 84 b3 fe ff ff e9 06 04 00 00 41 83 7c 24 20 00 75 10 48 8b 55 c8 48 8b 02 f7 40 70 be ff ff ff 74 04 <0f> 0b eb fe 49 8b bf 38 01 00 00 48 8b 70 38 48 85 ff 74 1a 48 
RIP  [<ffffffffa005f86e>] i915_gem_object_get_fence_reg+0x221/0x61e [i915]
 RSP <ffff88011a9ffbe8>
Comment 80 pankaj pandey 2009-08-16 00:38:34 EDT
Fixed in kernel-2.6.30.5-28.rc2.fc11 (I tested)
https://admin.fedoraproject.org/updates/kernel-2.6.30.5-28.rc2.fc11
This bug can be closed when it is pushed to updates repo.
Comment 81 Erick 2009-08-16 03:48:31 EDT
No. It can't be closed since it isn't fixed!

Just tested kernel-2.6.30.5-28.rc2.fc11.i686.PAE. Alas, no luck: video still
hangs when played using Intel driver. Using GL driver everything is fine.
Comment 82 Erick 2009-08-16 03:52:47 EDT
To be exact: X is frozen and a reboot becomes necessary.
Comment 83 J. Randall Owens 2009-08-16 21:58:10 EDT
That rc2 kernel does work on mine.  But the only test I've put it through so far is alt-tab switching, which always crashed quite reliably before.  I haven't played with video.

Probably a side note, but the alt-tab behaves differently than it used to.  I can now only go back and forth between the last window I used and the current one, instead of getting a list that I can cycle through.  Probably just a KDE setting that I have to restore now, though.
Comment 84 J. Randall Owens 2009-08-17 02:12:34 EDT
Forgot to add:

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

Acer Aspire 4730Z laptop

More detail:
http://www.smolts.org/client/show/?uuid=pub_eac471fe-4155-4344-940e-9cd4fd00b7ca
Comment 85 Tomas Kopecek 2009-08-17 03:52:38 EDT
(In reply to comment #82)
> To be exact: X is frozen and a reboot becomes necessary.  

Are you sure, tah it is the same bug? On my machine this issue seems solved. Many tasks whose caused kernel crash are running correctly now. However OpenGL tasks still can cause Xserver freeze (e.g. GoogleEarth stops X server after some time (seconds to tens of minutes).

I think it's now different issue, because I can no longer see kerneloops files, so problem is no somewhere else.
Comment 86 Erick 2009-08-17 04:07:33 EDT
The original bug which described my issue was 505418. However, 509974 also seemed to fit the bill for me and 509974 was merged with this bug. Apparently 505418 is indeed different from 509974.
Comment 87 James 2009-08-17 04:19:14 EDT
Hmm... I've not seen any kernel BUGs with the 2.6.30 series, but for me X now segfaults when compiz starts with the new mesa (bug #515633).
Comment 88 Alan Hamilton 2009-08-17 17:52:16 EDT
I'm not getting an oops now either, though X is still hanging when running Google Earth with mesa 7.6.
Comment 89 Mathew Topper 2009-08-18 17:43:10 EDT
No alt-tab problem with the new kernel in updates-testing. Lack of a kmod-wl is a bit annoying though! Push it to stable quick!
Comment 90 Mathew Topper 2009-08-23 06:40:17 EDT
The new kernel from updates:

kernel 2.6.29.6-217.2.8.fc11

This kernel also seems to solve the alt-tab switching problems.
Comment 91 iarly selbir 2009-08-24 07:59:43 EDT
(In reply to comment #90)
> The new kernel from updates:
> 
> kernel 2.6.29.6-217.2.8.fc11
> 
> This kernel also seems to solve the alt-tab switching problems.  

Yes, I can confirm it.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 92 jonipiispa 2009-08-24 09:53:14 EDT
(In reply to comment #90)
> The new kernel from updates:
> 
> kernel 2.6.29.6-217.2.8.fc11
> 
> This kernel also seems to solve the alt-tab switching problems.  

This also works for me.
Comment 93 J. Randall Owens 2009-08-25 02:27:36 EDT
217.2.8 works for me, same laptop as above.
Comment 94 Thomas Spura 2009-09-02 19:08:53 EDT
It works for me again, too.

This is now a bit messy to know what's fixed and what's not
I suggest to close this bug, because for the most people here this is resolved - the one that have still problems should open another bug with more information what excectly goes wrong for them.

@ comment81: Eric what do you think? (The only still suffering in the latest 10 comments...)
Comment 95 Jonathan Evans 2009-09-02 20:47:59 EDT
I recently allowed Mesa to update per the positive statements in the comments, but my machine still freezes (hard crash) when loading google earth with the new mesa but works fine with old mesa.
Comment 96 Baif 2009-09-08 06:38:45 EDT
I tested Fedora 11 KDE-Live CD x64, enabling Desktop Effects with openGL works. 

But, Fedora 12 Alpha KDE-Live CD x64, enable Desktop Effects with openGL
doesn't work.

on laptop ThinkPad X61.  

I'm not sure what causes this problem Mesa? X dirver for Intel?
Comment 97 Thomas 2009-09-11 12:16:47 EDT
Switching to the updated kernel mostly solved the issue for me.  However, occasionally (like every few days); I can ALT-TAB and my PC will freeze.
Comment 99 Matěj Cepl 2009-11-05 13:33:54 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 100 jjackson 2009-11-19 15:34:01 EST
I have a lenovo Thinkpad T500, running on 32-bit Windows Vista - after updating the intel chipset 4 drivers - my laptop screen has become Magenta.
Only happens after logging onto the normal Windows vista screen - windows comes up with normal displays while its loading the start up programs - then when it comes to the Intel accelerator driver the center of the screen turns magenta and then spreads to the whole display.  All of the programs are visable (if you can call a magenta screen visable) and operational but everything remains magenta until i shut down and as it logs off the screen reverts back to a normal display mode before turning off.  Only occurs to undocked laptop screen -magenta screen doesn't occur when the laptop is docked and working with LG monitor.  Help!
p.s. My tech guy did the normal graphics unistalls but it didn't help the screen and he had to jump on another project so I'm laptop-less until he can get back to me.
Comment 101 Andrew McNabb 2009-11-19 15:42:00 EST
jjackson, you should open a new bug report.  I think your problem is separate from what other people have noticed.
Comment 102 Jonathan Evans 2009-11-19 15:43:11 EST
jjackson, you could consider switching to fedora. :)
Comment 103 Glen Fullmer 2009-12-07 13:35:43 EST
It is still a bug in FC12.  I have tried everything I can think of:

downgrading Mesa
turning off DRM
downgrading to a non-PAE kernel
switching out some of Google Earth's libraries

System info:

2.6.31.6-162.fc12.i686.PAE

Dell Demension 2400

xorg-x11-drv-intel-2.9.1-1.fc12-i686

From lspci:

00:00.0 Host bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE DRAM Controller/Host-Hub Interface (rev 01)
00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)

From installed-rpms: 

mesa-libGL-7.6-0.13.fc12-i686                               Sat 05 Dec 2009 09:44:51 AM MST
mesa-libGLU-devel-7.6-0.13.fc12-i686                        Sat 05 Dec 2009 09:45:28 AM MST
mesa-dri-drivers-7.6-0.13.fc12-i686                         Sat 05 Dec 2009 09:44:50 AM MST

From Log:

Dec  7 09:34:10 dell kernel: [drm] Initialized drm 1.1.0 20060810
Dec  7 09:34:10 dell kernel: fbcon: inteldrmfb (fb0) is primary device
Dec  7 09:34:10 dell kernel: [drm:i915_handle_error] *ERROR* EIR stuck: 0x00000010, masking

...

Dec  7 09:52:25 dell kernel: [drm:drm_mode_rmfb] *ERROR* tried to remove a fb that we didn't own
Dec  7 10:10:02 dell kernel: [drm:i915_gem_object_bind_to_gtt] *ERROR* GTT full, but LRU list empty
Dec  7 10:10:02 dell kernel: [drm:i915_gem_object_pin] *ERROR* Failure to bind: -28
Dec  7 10:10:02 dell kernel: [drm:i915_gem_evict_something] *ERROR* inactive empty 1 request empty 1 flushing empty 1
Dec  7 10:10:52 dell kernel: [drm:i915_gem_object_bind_to_gtt] *ERROR* GTT full, but LRU list empty
Dec  7 10:10:52 dell kernel: [drm:i915_gem_object_pin] *ERROR* Failure to bind: -28
Dec  7 10:10:52 dell kernel: [drm:i915_gem_evict_something] *ERROR* inactive empty 1 request empty 1 flushing 


Went from FC9 which was very stable to 11 which was a mistake then because some said this bug was fixed in 12, went to 12.  

Google Earth crashes after window and help screen come up but before it displays the spinning world.  I love googleearth but will continue to use it on a more stable OS - "Vista"!  Thought I would never say those words about a MS product being a RH/Fedora advocate from day one.  Did Intel put this bug in to help MS and destroy x.org?  ;-)  In my internet search I noticed it is also a major problem with other Distros.  I noticed that GE on linux uses wine, but that shouldn't crash X as I use a number of crossover wine programs that work fine.  I haven't had the current kernel up long enough to know if it crashes with normal window use.  It did previously, but it still crashes running GE.

What will it take to get it fixed?

Any other workaround suggestions would be helpful until it is fixed.
Comment 104 Steven Michael Williams 2009-12-18 07:36:00 EST
I have the same problem on my Lenovo Valueline G530.

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09)

How do you recover from the crash?  Any ideas?
Comment 105 Glen Fullmer 2009-12-18 10:41:15 EST
With current FC12 updates it is a bit more stable from random freezes, however, Google Earth still freezes the display requiring a re-boot. It used to freeze when switching X11 windows rapidly.

From some of the logs it looks like memory allocation, a driver problem, a kernel problem, and/or all of the above.

There is a problem with PAE and the i915 driver and have read a number of workarounds by messing with the kernel at runtime as some of the video drivers set up have been included in the kernel.  However, none of the suggested fixes have worked for me.  I will continue to use Google Earth on Windows (now 7) instead of under Fedora 12 until a fix is forthcoming.
Comment 106 Arif Saleem 2010-01-21 06:05:46 EST
I'm not sure if this is related, but after the recent updates (19th/20th January 2010) to libdrm and mesa-drivers, I have started to get X crashes when using Compiz on F12 x86_64.
Hardware : HP Compaq 7400nx (Intel Mobile 945GM)
After logging in, randomly after about 2-3 minutes of use, the screen goes black and the mouse cursor is 'fixed' in one position. The machine is still accessible via ssh, which allows me to reboot from another machine.

I have now disabled compiz and the machine is stable.

Just for comparison, another machine running F12 x86_64 but with an nVidia graphics card and using the proprietary nVidia driver from rpmfusion does not have this problem.

Regards
Arif Saleem

/var/log/messages contains this :

Jan 21 09:44:46 ali gnome-keyring-daemon[1661]: dbus failure unregistering from session: Connection is closed
Jan 21 09:44:46 ali gnome-session[1669]: WARNING: Detected that screensaver has left the bus
Jan 21 09:44:46 ali gnome-keyring-daemon[1661]: dbus failure unregistering from session: Connection is closed
Jan 21 09:44:46 ali kernel: compiz[1807] general protection ip:40ef9e sp:7fff481db5f0 error:0 in compiz[400000+3b000]
Jan 21 09:44:46 ali abrtd: Directory 'ccpp-1264067086-1807' creation detected
Jan 21 09:44:46 ali abrtd: Lock file '/var/cache/abrt/ccpp-1264067086-1807.lock' is locked by process 2384
Jan 21 09:44:46 ali abrt: saved core dump of pid 1807 (/usr/bin/compiz) to /var/cache/abrt/ccpp-1264067086-1807/coredump (61440 bytes)
Jan 21 09:44:47 ali kernel: [drm] LVDS-8: set mode 1280x800 1d
Jan 21 09:44:47 ali kernel: [drm] TV-14: set mode NTSC 480i 0
Jan 21 09:44:47 ali kernel: [drm] TV-14: set mode NTSC 480i 0
Jan 21 09:44:47 ali kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000140
Jan 21 09:44:47 ali kernel: IP: [<ffffffffa006eefc>] intel_release_load_detect_pipe+0x3c/0xb4 [i915]
Jan 21 09:44:47 ali kernel: PGD a1d94067 PUD ba43d067 PMD 0 
Jan 21 09:44:47 ali kernel: Oops: 0000 [#1] SMP 
Jan 21 09:44:47 ali kernel: last sysfs file: /sys/devices/virtual/backlight/acpi_video0/actual_brightness
Jan 21 09:44:47 ali kernel: CPU 1 
Jan 21 09:44:47 ali kernel: Modules linked in: rfcomm sco bridge stp llc bnep l2cap coretemp sunrpc cpufreq_ondemand acpi_cpufreq freq_table nf_conntrack_ftp ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 fuse dm_multipath cryptd aes_x86_64 aes_generic xts gf128mul dm_crypt uinput snd_hda_codec_analog arc4 ecb snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm b44 firewire_ohci iwl3945 ssb joydev firewire_core iTCO_wdt snd_timer ppdev btusb snd parport_pc iwlcore iTCO_vendor_support serio_raw parport soundcore wmi bluetooth mac80211 snd_page_alloc mii crc_itu_t cfg80211 rfkill yenta_socket rsrc_nonstatic i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: microcode]
Jan 21 09:44:47 ali kernel: Pid: 2388, comm: Xorg Not tainted 2.6.31.9-174.fc12.x86_64 #1 HP Compaq nx7400 (RU424ET#ABU)
Jan 21 09:44:47 ali kernel: RIP: 0010:[<ffffffffa006eefc>]  [<ffffffffa006eefc>] intel_release_load_detect_pipe+0x3c/0xb4 [i915]
Jan 21 09:44:47 ali kernel: RSP: 0018:ffff8800a1da7ac8  EFLAGS: 00010202
Jan 21 09:44:47 ali kernel: RAX: ffff8800b89c7800 RBX: ffff8800b84fa000 RCX: ffffc90005770024
Jan 21 09:44:47 ali kernel: RDX: ffff8800b891712c RSI: 0000000000000003 RDI: ffff8800b84fa000
Jan 21 09:44:47 ali kernel: RBP: ffff8800a1da7b08 R08: 0000000000000000 R09: ffff8800a1da7948
Jan 21 09:44:47 ali kernel: R10: 000000000000088a R11: 0000000000000000 R12: 0000000000000000
Jan 21 09:44:47 ali kernel: R13: 0000000000000003 R14: ffffffffa007efa0 R15: ffffffffa007ef50
Jan 21 09:44:47 ali kernel: FS:  00007fbb9d3a57c0(0000) GS:ffff8800019ea000(0000) knlGS:0000000000000000
Jan 21 09:44:47 ali kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Jan 21 09:44:47 ali kernel: CR2: 0000000000000140 CR3: 000000009f980000 CR4: 00000000000006e0
Jan 21 09:44:47 ali kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jan 21 09:44:47 ali kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jan 21 09:44:47 ali kernel: Process Xorg (pid: 2388, threadinfo ffff8800a1da6000, task ffff88008debde00)
Jan 21 09:44:47 ali kernel: Stack:
Jan 21 09:44:47 ali kernel: ffff8800a1da7b08 ffff8800b89c7800 0000000000001ec5 ffff8800b84fa000
Jan 21 09:44:47 ali kernel: <0> ffff8800b84fa3d8 0000000000000006 ffffffffa007efa0 0000000000001000
Jan 21 09:44:47 ali kernel: <0> ffff8800a1da7c38 ffffffffa00786da ffffffffa004c140 00000003a003829d
Jan 21 09:44:47 ali kernel: Call Trace:
Jan 21 09:44:47 ali kernel: [<ffffffffa00786da>] intel_tv_detect+0xae/0x14d [i915]
Jan 21 09:44:47 ali kernel: [<ffffffffa0054b8b>] drm_helper_probe_single_connector_modes+0xba/0x282 [drm_kms_helper]
Jan 21 09:44:47 ali kernel: [<ffffffffa0030b82>] drm_mode_getconnector+0xf5/0x39a [drm]
Jan 21 09:44:47 ali kernel: [<ffffffffa0030a8d>] ? drm_mode_getconnector+0x0/0x39a [drm]
Jan 21 09:44:47 ali kernel: [<ffffffffa002621f>] drm_ioctl+0x237/0x2f4 [drm]
Jan 21 09:44:47 ali kernel: [<ffffffff81108cc5>] vfs_ioctl+0x6f/0x87
Jan 21 09:44:47 ali kernel: [<ffffffff811091d4>] do_vfs_ioctl+0x47b/0x4c1
Jan 21 09:44:47 ali kernel: [<ffffffff81109270>] sys_ioctl+0x56/0x79
Jan 21 09:44:47 ali kernel: [<ffffffff81011cf2>] system_call_fastpath+0x16/0x1b
Jan 21 09:44:47 ali kernel: Code: 0f 1f 44 00 00 48 8b 87 58 03 00 00 48 89 fb 41 89 f5 48 89 45 c8 80 bf b8 03 00 00 00 4c 8b a7 88 03 00 00 4c 8b bf 98 03 00 00 <4d> 8b b4 24 40 01 00 00 74 33 48 c7 87 88 03 00 00 00 00 00 00 
Jan 21 09:44:47 ali kernel: RIP  [<ffffffffa006eefc>] intel_release_load_detect_pipe+0x3c/0xb4 [i915]
Jan 21 09:44:47 ali kernel: RSP <ffff8800a1da7ac8>
Jan 21 09:44:47 ali kernel: CR2: 0000000000000140
Jan 21 09:44:47 ali kernel: ---[ end trace 888ae101e3b4a3de ]---
Comment 107 Bug Zapper 2010-04-27 11:27:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 108 Bug Zapper 2010-06-28 09:27:18 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.